Subject: Re: bug#41496: 28.0.50; When accessing sshd via Tramp via Termux on Android: File error: Couldn't find a proper `ls' command

From: Jean Louis <[email-masked]>
Date: Sun, 24 May 2020 20:21:59 +0300

* Michael Albinus <[email-masked]> [2020-05-24 20:15]:
> Jean Louis <[email-masked]> writes:
> 
> > Hello Michael,
> 
> Hi Jean,
> 
> > Now I found that I cannot login when `emacs -q' and I can only login
> > without problems when I am using `emacs -Q'
> >
> > I have then removed the non existent site-start.el it was dangling
> > symbolic link, and then it started working with `emacs -q'
> >
> > I will try bisecting, but I am not sure. Each time I need to kill the
> > ssh tramp process in background as well to debug what is wrong.
> 
> Maybe the Tramp cache is in the way. Try "M-x tramp-cleanup-all-connections".

Thank you, that made it working.

But I do wonder, because I have restarted Emacs, and killed sshd
connections in background.

At least now I got it working with my full setup.

Thanks.

Jean